package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CourseTableTime;

/**
 * 课程-时间Mapper接口
 * 
 * @author ruoyi
 * @date 2023-05-24
 */
public interface CourseTableTimeMapper 
{
    /**
     * 查询课程-时间
     * 
     * @param id 课程-时间主键
     * @return 课程-时间
     */
    public CourseTableTime selectCourseTableTimeById(Long id);

    /**
     * 查询课程-时间列表
     * 
     * @param courseTableTime 课程-时间
     * @return 课程-时间集合
     */
    public List<CourseTableTime> selectCourseTableTimeList(CourseTableTime courseTableTime);

    /**
     * 新增课程-时间
     * 
     * @param courseTableTime 课程-时间
     * @return 结果
     */
    public int insertCourseTableTime(CourseTableTime courseTableTime);

    /**
     * 修改课程-时间
     * 
     * @param courseTableTime 课程-时间
     * @return 结果
     */
    public int updateCourseTableTime(CourseTableTime courseTableTime);

    /**
     * 删除课程-时间
     * 
     * @param id 课程-时间主键
     * @return 结果
     */
    public int deleteCourseTableTimeById(Long id);

    /**
     * 批量删除课程-时间
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCourseTableTimeByIds(Long[] ids);

    CourseTableTime selectCourseTableTimeBySchoolId(Long schoolId);
}
